# [OpenVINO™ Toolkit](https://01.org/openvinotoolkit) - Open Model Zoo repository
[![Stable release](https://img.shields.io/badge/version-2020.1-green.svg)](https://github.com/opencv/open_model_zoo/releases/tag/2020.1)
[![Gitter chat](https://badges.gitter.im/gitterHQ/gitter.png)](https://gitter.im/open_model_zoo/community)
[![Apache License Version 2.0](https://img.shields.io/badge/license-Apache_2.0-green.svg)](LICENSE)

This repository includes optimized deep learning models and a set of demos to expedite development of high-performance deep learning inference applications. Use these free pre-trained models instead of training your own models to speed-up the development and production deployment process.

## Repository Components:
* [Pre-Trained Models](models/intel/index.md)
* [Public Models Description](models/public/index.md)
* [Model Downloader](tools/downloader/README.md) and other automation tools
* [Demos](demos/README.md) that demonstrate models usage with Deep Learning Deployment Toolkit
* [Accuracy Checker](tools/accuracy_checker/README.md) tool for models accuracy validation

## License
Open Model Zoo is licensed under [Apache License Version 2.0](LICENSE).

## Documentation
* [OpenVINO™ Release Notes](https://software.intel.com/en-us/articles/OpenVINO-RelNotes)
* [Pre-Trained Models](https://software.intel.com/en-us/openvino-toolkit/documentation/pretrained-models)
* [Demos and samples](https://software.intel.com/en-us/articles/OpenVINO-IE-Samples)

## Other usage examples
* [Open Visual Cloud](https://01.org/openvisualcloud)
  * [Tutorial: Build and Run the AD Insertion Sample on public cloud or local machine](https://01.org/openvisualcloud/documents/tutorial-build-and-run-ad-insertion-sample-public-cloud-or-local-machine)
  * [GitHub Repo for Ad Insertion Sample](https://github.com/OpenVisualCloud/Ad-Insertion-Sample)
* [OpenVINO for Smart City](https://github.com/incluit/OpenVino-For-SmartCity)
* [OpenVINO Driver Behavior](https://github.com/incluit/OpenVino-Driver-Behaviour)

## How to Contribute
We welcome community contributions to the Open Model Zoo repository. If you have an idea how to improve the product, please share it with us doing the following steps:
* Make sure you can build the product and run all the demos with your patch.
* In case of a larger feature, provide a relevant demo.
* Submit a pull request at https://github.com/opencv/open_model_zoo/pulls

You can find additional information about model contribution [here](CONTRIBUTING.md).

We will review your contribution and, if any additional fixes or modifications are needed, may give you feedback to guide you. When accepted, your pull request will be merged into the GitHub* repositories.

Open Model Zoo is licensed under Apache License, Version 2.0. By contributing to the project, you agree to the license and copyright terms therein and release your contribution under these terms.

## Support
Please report questions, issues and suggestions using:
* [\#open_model_zoo](https://stackoverflow.com/search?q=%23open_model_zoo) tag on StackOverflow*
* [GitHub* Issues](https://github.com/opencv/open_model_zoo/issues)
* [Forum](https://software.intel.com/en-us/forums/computer-vision)
* [Gitter](https://gitter.im/open_model_zoo/community)

---
\* Other names and brands may be claimed as the property of others.
